GNUNET-DHT-MONITOR(1)

NAME
gnunet-dht-monitor - Print packets that go through the DHT on this peer.

SYNOPSIS
gnunet-dht-monitor [-c FILENAME | --config=FILENAME] [-h | --help] [-k KEY | --key=KEY] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-T TIMEOUT | --timeout=TIMEOUT] [-t TYPE | --type=TYPE] [-V | --verbose] [-v | --version]

DESCRIPTION
gnunet-dht-monitor is a command line tool to monitor DHT packets that go through this peer.

OPTIONS

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-k KEY | --key=KEY
    use the query key KEY.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-T TIMEOUT | -timeout=TIMEOUT
    how long should the monitor command run.

-t TYPE | --type=TYPE
    the block type to filter for.

-V | --verbose
    be verbose.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.